Currency Codes
curl --request GET \
--url https://payments.shakesco.com/codes \
--header 'Authorization: Bearer <token>'import requests
url = "https://payments.shakesco.com/codes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://payments.shakesco.com/codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"currency_codes": [
"USD",
"EUR",
"GBP",
"KES",
"INR",
"JPY",
"BTC",
"ETH",
"MATIC",
"USDT",
"USDC",
"DAI",
"..."
]
}
General
Currency Codes
Get all supported currency codes used across Shakesco APIs
GET
/
codes
Currency Codes
For the complete documentation index, see llms.txt.
Retrieve the full list of supported currency codes. Use these codes when creating invoices, setting cashback thresholds, or making payment requests. Supports 300+ currencies.
Response
integer
Request ID
array
Array of supported currency code strings (e.g.
USD, EUR, KES, BTC, ETH){
"id": 1,
"currency_codes": [
"USD",
"EUR",
"GBP",
"KES",
"INR",
"JPY",
"BTC",
"ETH",
"MATIC",
"USDT",
"USDC",
"DAI",
"..."
]
}
Currency codes must be UPPERCASE when passed to any API endpoint.
⌘I